> For the complete documentation index, see [llms.txt](https://api.senderwiz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.senderwiz.com/customer/subscribers/get-blacklisted-subscribers.md).

# Get Blacklisted Subscribers

### 🚫 Get Blacklisted Subscribers

Fetch subscribers who have been flagged as blacklisted in a given list.

***

#### 🔹 HTTP Request

```http
GET API-URL/lists/LIST-UNIQUE-ID/subscribers
```

***

#### 🔸 URL Segments

| Segment          | Required | Description                               |
| ---------------- | -------- | ----------------------------------------- |
| `LIST-UNIQUE-ID` | Yes      | Unique identifier of the subscriber list. |

***

#### 🔎 Query Parameters

| Parameter  | Required / Default | Description                           |
| ---------- | ------------------ | ------------------------------------- |
| `page`     | 1                  | Page number to retrieve.              |
| `per_page` | 10                 | Number of subscribers per page.       |
| `status`   | blacklisted        | Filters only blacklisted subscribers. |

***

#### 🔐 Authorization Header

```
X-API-KEY: your-api-key-here
```

***

#### 💻 PHP Example

```php
// Get only the blacklisted subscribers
$response = $endpoint->getBlacklistedSubscribers('LIST-UNIQUE-ID', 'active', $pageNumber = 1, $perPage = 10);

// DISPLAY RESPONSE
echo '<hr /><pre>';
print_r($response->body);
echo '</pre>';
```

***

#### 📦 Sample JSON Response

```json
{
  "status": "success",
  "data": {
    "count": "3",
    "total_pages": 1,
    "current_page": 1,
    "next_page": null,
    "prev_page": null,
    "records": [
      {
        "subscriber_uid": "zx784mntplq65",
        "EMAIL": "oliver.woods@inboxsync.net",
        "FNAME": "",
        "LNAME": "",
        "source": "import",
        "status": "blacklisted",
        "ip_address": "",
        "date_added": "2025-04-14 11:05:22"
      },
      {
        "subscriber_uid": "qa119bdxefc91",
        "EMAIL": "ava.richards@postdrive.co",
        "FNAME": "",
        "LNAME": "",
        "source": "import",
        "status": "blacklisted",
        "ip_address": "",
        "date_added": "2025-04-14 11:04:59"
      },
      {
        "subscriber_uid": "wv673xsmnzt43",
        "EMAIL": "leo.bradley@mailerbase.org",
        "FNAME": "",
        "LNAME": "",
        "source": "import",
        "status": "blacklisted",
        "ip_address": "",
        "date_added": "2025-04-14 11:04:33"
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.senderwiz.com/customer/subscribers/get-blacklisted-subscribers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
